<?php

namespace MotoPress\Appointment\AdminPages\Manage;

use MotoPress\Appointment\Entities\Employee;

if (!defined('ABSPATH')) {
    exit;
}

/**
 * @since 1.0
 */
class ManageEmployeesPage extends ManagePostsPage
{
    /**
     * @return array
     *
     * @since 1.0
     */
    protected function customColumns()
    {
        return [
            'services' => esc_html__('Services', 'motopress-appointment')
        ];
    }

    /**
     * @param string $columnName
     * @param Employee $entity
     *
     * @since 1.0
     */
    protected function displayValue($columnName, $entity)
    {
        switch ($columnName) {
            case 'services':
                $serviceIds = mpapp()->repositories()->service()->findAllByValueInMeta('_mpa_employees', $entity->id, ['fields' => ['id' => 'title']]);

                if (empty($serviceIds)) {
                    echo esc_html( mpa_tmpl_placeholder() );
                } else {
                    $serviceLinks = mpa_tmpl_edit_post_links($serviceIds);

                    echo '<p>';
                        echo wp_kses_post( implode('<br>', $serviceLinks) );
                    echo '</p>';
                }

                break;
        }
    }
}
