<?php

namespace MotoPress\Appointment\AdminPages\Manage;

use MotoPress\Appointment\Entities\Schedule;

if (!defined('ABSPATH')) {
    exit;
}

/**
 * @since 1.0
 */
class ManageSchedulesPage extends ManagePostsPage
{
    /**
     * @return array
     *
     * @since 1.0
     */
    protected function customColumns()
    {
        return [
            'employee' => esc_html__('Employee', 'motopress-appointment'),
            'location' => esc_html__('Location', 'motopress-appointment')
        ];
    }

    /**
     * @param string $columnName
     * @param Schedule $entity
     *
     * @since 1.0
     */
    protected function displayValue($columnName, $entity)
    {
        switch ($columnName) {
            case 'employee':
                if ($entity->employeeId > 0) {
                    echo esc_url( mpa_tmpl_edit_post_link($entity->employeeId) );
                } else {
                    echo esc_html( mpa_tmpl_placeholder() );
                }
                break;

            case 'location': echo esc_url( mpa_tmpl_edit_post_link($entity->locationId) ); break;
        }
    }
}
