<?php

namespace MotoPress\Appointment\Elementor;

use \Elementor\Plugin;

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * @since 1.3
 */
class Init
{

    public function __construct()
    {

        add_action( 'elementor/elements/categories_registered', [ $this, 'registerElementorCategories' ] );
        add_action( 'elementor/widgets/widgets_registered', [ $this, 'registerElementorWidgets' ], 12 );
    }

    public function registerElementorCategories()
    {

        Plugin::instance()->elements_manager->add_category(
            'mpa-elementor-widgets',
            [
                'title' => mpa_name(),
                'icon'  => 'font'
            ],
            0
        );
    }

    public function registerElementorWidgets()
    {

        Plugin::instance()->widgets_manager->register_widget_type( new Widgets\AppointmentFormWidget() );
        Plugin::instance()->widgets_manager->register_widget_type( new Widgets\EmployeesListWidget() );
        Plugin::instance()->widgets_manager->register_widget_type( new Widgets\LocationsListWidget() );
        Plugin::instance()->widgets_manager->register_widget_type( new Widgets\ServiceCategoriesWidget() );
        Plugin::instance()->widgets_manager->register_widget_type( new Widgets\ServicesListWidget() );
        Plugin::instance()->widgets_manager->register_widget_type( new Widgets\EmployeeImageWidget() );
        Plugin::instance()->widgets_manager->register_widget_type( new Widgets\EmployeeTitleWidget() );
        Plugin::instance()->widgets_manager->register_widget_type( new Widgets\EmployeeServicesListWidget() );
        Plugin::instance()->widgets_manager->register_widget_type( new Widgets\EmployeeScheduleWidget() );
        Plugin::instance()->widgets_manager->register_widget_type( new Widgets\EmployeeContentWidget() );
        Plugin::instance()->widgets_manager->register_widget_type( new Widgets\EmployeeContactsWidget() );
        Plugin::instance()->widgets_manager->register_widget_type( new Widgets\EmployeeContactsWidget() );
        Plugin::instance()->widgets_manager->register_widget_type( new Widgets\EmployeeSocialNetworksWidget() );
        Plugin::instance()->widgets_manager->register_widget_type( new Widgets\EmployeeAdditionalInfoWidget() );
    }
}