<?php

namespace MotoPress\Appointment\Emails\Admin;

if (!defined('ABSPATH')) {
    exit;
}

/**
 * @since 1.1.0
 */
class AdminNewBookingEmail extends AbstractAdminEmail
{
    /**
     * @return string
     *
     * @since 1.1.0
     */
    public function getName()
    {
        return 'admin_new_booking_email';
    }

    /**
     * @return string
     *
     * @since 1.1.0
     */
    public function getLabel()
    {
        return esc_html__('New Booking Email', 'motopress-appointment');
    }

    /**
     * @return string
     *
     * @since 1.1.0
     */
    public function getDescription()
    {
        return esc_html__('Email that will be sent to administrator after booking is placed. This email is sent when "Default Appointment Status" is set to "Confirmed".', 'motopress-appointment');
    }

    /**
     * @return string
     *
     * @since 1.1.0
     */
    protected function getDefaultSubject()
    {
        return esc_html__('{site_title} - New Appointment {booking_id}', 'motopress-appointment');
    }

    /**
     * @return string
     *
     * @since 1.1.0
     */
    protected function getDefaultHeader()
    {
        return esc_html__('New Appointment Confirmed', 'motopress-appointment');
    }
}
