<?php

namespace MotoPress\Appointment\Emails\Admin;

if (!defined('ABSPATH')) {
    exit;
}

/**
 * @since 1.1.0
 */
class AdminPendingBookingEmail extends AbstractAdminEmail
{
    /**
     * @return string
     *
     * @since 1.1.0
     */
    public function getName()
    {
        return 'admin_pending_booking_email';
    }

    /**
     * @return string
     *
     * @since 1.1.0
     */
    public function getLabel()
    {
        return esc_html__('Pending Booking Email', 'motopress-appointment');
    }

    /**
     * @return string
     *
     * @since 1.1.0
     */
    public function getDescription()
    {
        return esc_html__('Email that will be sent to administrator after new booking is placed. This email is sent when "Default Appointment Status" is set to "Pending".', 'motopress-appointment');
    }

    /**
     * @return string
     *
     * @since 1.1.0
     */
    protected function getDefaultSubject()
    {
        return esc_html__('{site_title} - New Pending Appointment {booking_id}', 'motopress-appointment');
    }

    /**
     * @return string
     *
     * @since 1.1.0
     */
    protected function getDefaultHeader()
    {
        return esc_html__('Confirm New Appointment', 'motopress-appointment');
    }
}
