<?php

namespace MotoPress\Appointment\Emails\Customer;

use MotoPress\Appointment\Emails\AbstractEmail;

if (!defined('ABSPATH')) {
    exit;
}

/**
 * @since 1.1.0
 */
abstract class AbstractCustomerEmail extends AbstractEmail
{
    /**
     * @return string
     *
     * @since 1.1.0
     */
    public function getDefaultRecipients()
    {
        if (!is_null($this->booking)) {
            return $this->booking->customer->email;
        } else {
            return '';
        }
    }

    /**
     * @return string
     *
     * @since 1.1.0
     */
    protected function getMessageTemplate()
    {
        return 'emails/customer/' . $this->getFilename();
    }
}
