<?php

namespace MotoPress\Appointment\Emails\Customer;

if (!defined('ABSPATH')) {
    exit;
}

/**
 * @since 1.1.0
 */
class CustomerApprovedBookingEmail extends AbstractCustomerEmail
{
    /**
     * @return string
     *
     * @since 1.1.0
     */
    public function getName()
    {
        return 'customer_approved_booking_email';
    }

    /**
     * @return string
     *
     * @since 1.1.0
     */
    public function getLabel()
    {
        return esc_html__('Approved Booking Email', 'motopress-appointment');
    }

    /**
     * @return string
     *
     * @since 1.1.0
     */
    public function getDescription()
    {
        return esc_html__('Email that will be sent to customer when booking is approved.', 'motopress-appointment');
    }

    /**
     * @return string
     *
     * @since 1.1.0
     */
    protected function getDefaultSubject()
    {
        return esc_html__('{site_title} - Your Appointment {booking_id} is Approved', 'motopress-appointment');
    }

    /**
     * @return string
     *
     * @since 1.1.0
     */
    protected function getDefaultHeader()
    {
        return esc_html__('Appointment Approved', 'motopress-appointment');
    }
}
