<?php

namespace MotoPress\Appointment\Emails\Customer;

if (!defined('ABSPATH')) {
    exit;
}

/**
 * New booking email (confirmation by admin).
 *
 * @since 1.1.0
 */
class CustomerPendingBookingEmail extends AbstractCustomerEmail
{
    /**
     * @return string
     *
     * @since 1.1.0
     */
    public function getName()
    {
        return 'customer_pending_booking_email';
    }

    /**
     * @return string
     *
     * @since 1.1.0
     */
    public function getLabel()
    {
        return esc_html__('Pending Booking Email', 'motopress-appointment');
    }

    /**
     * @return string
     *
     * @since 1.1.0
     */
    public function getDescription()
    {
        return esc_html__('Email that will be sent to customer after booking is placed. This email is sent when "Default Appointment Status" is set to "Pending".', 'motopress-appointment');
    }

    /**
     * @return string
     *
     * @since 1.1.0
     */
    protected function getDefaultSubject()
    {
        return esc_html__('{site_title} - Your Appointment {booking_id} is Pending', 'motopress-appointment');
    }

    /**
     * @return string
     *
     * @since 1.1.0
     */
    protected function getDefaultHeader()
    {
        return esc_html__('Appointment Pending', 'motopress-appointment');
    }
}
