<?php

namespace MotoPress\Appointment\Emails\Tags;

if (!defined('ABSPATH')) {
    exit;
}

/**
 * @since 1.1.0
 */
class AdminReservationTags extends ReservationTags
{
    /**
     * @return string
     *
     * @since 1.1.0
     */
    public function getName()
    {
        return 'admin_reservation';
    }

    /**
     * @since 1.1.0
     */
    protected function setupTags()
    {
        $this->addTags([
            'reservation_details' => [
                'description' => esc_html__('Reservation details', 'motopress-appointment')
            ]
        ]);

        // Setup other reservation tags
        parent::setupTags();
    }

    /**
     * @param string $tag
     * @param array $args
     * @param \MotoPress\Appointment\Emails\EmailTags $tagsControl
     * @param string $content
     *
     * @since 1.1.0
     */
    protected function replaceTag($tag, $args, $tagsControl, $content)
    {
        if (is_null($args['reservation'])) {
            return '';
        }

        $reservation = $args['reservation'];

        switch ($tag) {
            case 'reservation_details':
                $template = mpapp()->templates()->adminReservationDetails()->renderTemplate();

                return $tagsControl->replaceTags($template, $args);

            default:
                return parent::replaceTag($tag, $args, $tagsControl, $content);
        }
    }
}
