<?php

namespace MotoPress\Appointment\Emails\TemplateParts;

if (!defined('ABSPATH')) {
    exit;
}

/**
 * @since 1.1.0
 */
class CustomerReservationDetailsTemplatePart extends AbstractTemplatePart
{
    /**
     * @return string
     *
     * @since 1.1.0
     */
    public function getName()
    {
        return 'customer_reservation_details';
    }

    /**
     * @return string
     *
     * @since 1.1.0
     */
    public function getLabel()
    {
        return esc_html__('Customer Reservation Details', 'motopress-appointment');
    }

    /**
     * @return string
     *
     * @since 1.1.0
     */
    public function getDescription() {
        return esc_html__('Used for {reservation_details} tag in customer emails.', 'motopress-appointment');
    }

    /**
     * @return string
     *
     * @since 1.1.0
     */
    public function renderTemplate()
    {
        return mpa_render_template(
            'emails/template-parts/customer-reservation-details.php',
            'emails/template-parts/reservation-details.php'
        );
    }
}
