<?php

namespace MotoPress\Appointment\Entities;

if (!defined('ABSPATH')) {
    exit;
}

/**
 * @since 1.0
 */
class Reservation extends AbstractEntity
{
    /**
     * @var int
     *
     * @since 1.0
     */
    public $bookingId = 0;

    /**
     * @var float
     *
     * @since 1.0
     */
    public $price = 0.0;

    /**
     * @var \DateTime
     *
     * @since 1.0
     */
    public $date = null;

    /**
     * @var \MotoPress\Appointment\Structures\TimePeriod
     *
     * @since 1.0
     */
    public $serviceTime = null;

    /**
     * @var \MotoPress\Appointment\Structures\TimePeriod
     *
     * @since 1.0
     */
    public $bufferTime = null;

    /**
     * @var int
     *
     * @since 1.0
     */
    public $serviceId = 0;

    /**
     * @var int
     *
     * @since 1.0
     */
    public $employeeId = 0;

    /**
     * @var int
     *
     * @since 1.0
     */
    public $locationId = 0;

    /**
     * @var int
     *
     * @since 1.0
     */
    public $capacity = 1;

    /**
     * @return Booking|null
     *
     * @since 1.0
     */
    public function getBooking()
    {
        if ($this->bookingId > 0) {
            return mpa_get_booking($this->bookingId);
        } else {
            return null;
        }
    }
}
