<?php

namespace MotoPress\Appointment\Fields\Display;

use MotoPress\Appointment\Fields\AbstractField;

if (!defined('ABSPATH')) {
    exit;
}

/**
 * @since 1.0
 */
class ReservedServicesField extends AbstractField
{
    /** @since 1.0 */
    const TYPE = 'reserved-service';

    /**
     * @var int
     *
     * @since 1.0
     */
    protected $bookingId = 0;

    /**
     * @return string
     *
     * @since 1.0
     */
    public function renderInput()
    {
        $reservations = mpa_get_reservations($this->bookingId);

        return mpa_render_template('private/fields/reserved-services.php', ['reservations' => $reservations]);
    }

}
