<?php

namespace MotoPress\Appointment\Metaboxes\Booking;

use MotoPress\Appointment\Metaboxes\FieldsMetabox;

if (!defined('ABSPATH')) {
    exit;
}

/**
 * @since 1.0
 */
class BookingCustomerMetabox extends FieldsMetabox
{
    /**
     * @return string
     *
     * @since 1.0
     */
    protected function theName()
    {
        return 'booking_customer_metabox';
    }

    /**
     * @return array
     *
     * @since 1.0
     */
    protected function theFields()
    {
        return [
            'customer_name'  => [
                'type'  => 'text',
                'label' => esc_html__('Name', 'motopress-appointment')
            ],
            'customer_email' => [
                'type'  => 'text',
                'label' => esc_html__('Email', 'motopress-appointment')
            ],
            'customer_phone' => [
                'type'  => 'text',
                'label' => esc_html__('Phone', 'motopress-appointment')
            ]
        ];
    }

    /**
     * @return string
     *
     * @since 1.0
     */
    public function getLabel()
    {
        return esc_html__('Customer Info', 'motopress-appointment');
    }
}
