<?php

namespace MotoPress\Appointment\Metaboxes\Booking;

use MotoPress\Appointment\Metaboxes\FieldsMetabox;

if (!defined('ABSPATH')) {
    exit;
}

/**
 * @since 1.0
 */
class BookingPriceMetabox extends FieldsMetabox
{
    /**
     * @return string
     *
     * @since 1.0
     */
    protected function theName()
    {
        return 'booking_price_metabox';
    }

    /**
     * @return array
     *
     * @since 1.0
     */
    protected function theFields()
    {
        return [
            'total_price'       => [
                'type'       => 'price',
                'label'      => esc_html__('Total Price', 'motopress-appointment')
            ],
            'reserved_services' => [
                'type'       => 'reserved-services',
                'label'      => esc_html__('Reserved Services', 'motopress-appointment'),
                'booking_id' => get_the_ID()
            ]
        ];
    }

    /**
     * @return string
     *
     * @since 1.0
     */
    public function getLabel()
    {
        return esc_html__('Booking Price', 'motopress-appointment');
    }
}
