<?php

namespace MotoPress\Appointment\Metaboxes\Shortcode;

if (!defined('ABSPATH')) {
    exit;
}

class AppointmentFormDefaultsMetabox extends AbstractShortcodeMetabox
{
    /**
     * @return string
     *
     * @since 1.2
     */
    protected function theName()
    {
        return 'appointment_form_defaults_metabox';
    }

    /**
     * @return string
     *
     * @since 1.2
     */
    public function getLabel()
    {
        return esc_html__('Default Values', 'motopress-appointment');
    }

    /**
     * @return array
     *
     * @since 1.2
     */
    protected function theFields()
    {
        $unselectedSlug = ['' => esc_html__('— Unselected —', 'motopress-appointment')];
        $unselectedId   = [0  => esc_html__('— Unselected —', 'motopress-appointment')];

        return [
            'default_category' => [
                'type'         => 'select',
                'label'        => esc_html__('Service Category', 'motopress-appointment'),
                'options'      => $unselectedSlug + mpa_get_service_categories(),
                'size'         => 'regular'
            ],
            'default_service' => [
                'type'         => 'select',
                'label'        => esc_html__('Service', 'motopress-appointment'),
                'options'      => $unselectedId + mpa_get_services(),
                'size'         => 'regular'
            ],
            'default_location' => [
                'type'         => 'select',
                'label'        => esc_html__('Location', 'motopress-appointment'),
                'options'      => $unselectedId + mpa_get_locations(),
                'size'         => 'regular'
            ],
            'default_employee' => [
                'type'         => 'select',
                'label'        => esc_html__('Employee', 'motopress-appointment'),
                'options'      => $unselectedId + mpa_get_employees(),
                'size'         => 'regular'
            ]
        ];
    }

    /**
     * @param string $shortcodeName
     * @return bool
     *
     * @since 1.2
     */
    protected function isForShortcode($shortcodeName)
    {
        return $shortcodeName == mpa_shortcodes()->appointmentForm()->getName();
    }
}
