<?php

namespace MotoPress\Appointment\Metaboxes\Shortcode;

if (!defined('ABSPATH')) {
    exit;
}

/**
 * @since 1.2
 */
class AppointmentFormMetabox extends AbstractShortcodeMetabox
{
    /**
     * @return string
     *
     * @since 1.2
     */
    protected function theName()
    {
        return 'appointment_form_metabox';
    }

    /**
     * @return string
     *
     * @since 1.2
     */
    public function getLabel()
    {
        return esc_html__('Appointment Form', 'motopress-appointment');
    }

    /**
     * @return array
     *
     * @since 1.2
     */
    protected function theFields()
    {
        return [
            'name' => [
                'type'         => 'hidden',
                'value'        => mpa_shortcodes()->appointmentForm()->getName()
            ],
            'show_items' => [
                'type'         => 'checklist',
                'label'        => esc_html__('Show Items', 'motopress-appointment'),
                'description'  => esc_html__('Show or hide extra blocks.', 'motopress-appointment'),
                'options'      => [
                    'category'     => esc_html__('Service Category', 'motopress-appointment'),
                    'location'     => esc_html__('Location', 'motopress-appointment'),
                    'employee'     => esc_html__('Employee', 'motopress-appointment')
                ],
                'value'        => ['category', 'location', 'employee']
            ]
        ];
    }

    /**
     * @param string $shortcodeName
     * @return bool
     *
     * @since 1.2
     */
    protected function isForShortcode($shortcodeName)
    {
        return $shortcodeName == mpa_shortcodes()->appointmentForm()->getName();
    }
}
