<?php

namespace MotoPress\Appointment\Registries;

use MotoPress\Appointment\Widgets;
use MotoPress\Appointment\Views\WidgetsView;

if (!defined('ABSPATH')) {
    exit;
}

/**
 * @since 1.3
 */
class WidgetsRegistry
{
    /**
     * @var array
     *
     * @since 1.3
     */
    protected $widgets = [];

    /**
     * @return Widgets\AppointmentFormWidget
     *
     * @since 1.3
     */
    public function appointmentForm()
    {
        if (!isset($this->widgets['appointmentForm'])) {
            $this->widgets['appointmentForm'] = new Widgets\AppointmentFormWidget();

            WidgetsView::getInstance()->addAppointmentFormActions();
        }

        return $this->widgets['appointmentForm'];
    }

    /**
     * @since 1.3
     */
    public function registerAll()
    {
        $this->appointmentForm();
    }
}
