<?php

namespace MotoPress\Appointment\Repositories;

use MotoPress\Appointment\Entities\Employee;

if (!defined('ABSPATH')) {
    exit;
}

/**
 * @since 1.0
 *
 * @see Employee
 */
class EmployeeRepository extends AbstractRepository
{
    /**
     * @return array
     *
     * @since 1.0
     */
    protected function entitySchema()
    {
        return [
            'post'     => ['ID', 'post_title', 'post_content'],
            'postmeta' => [
                '_mpa_contacts'        => true,
                '_mpa_social_networks' => true,
                '_mpa_additional_info' => true
            ]
        ];
    }

    /**
     * @param array $postData
     * @return Employee
     *
     * @since 1.0
     */
    protected function mapPostDataToEntity($postData)
    {
        $id = (int)$postData['ID'];

        $fields = [
            'name'           => $postData['post_title'],
            'bio'            => $postData['post_content'],
            'contacts'       => $postData['contacts'],
            'socialNetworks' => $postData['social_networks'],
            'additionalInfo' => $postData['additional_info']
        ];

        return new Employee($id, $fields);
    }
}
