<?php

namespace MotoPress\Appointment\Services;

if (!defined('ABSPATH')) {
    exit;
}

/**
 * @since 1.0
 */
class Installer
{
    /**
     * @since 1.0
     */
    public static function createUploadDir()
    {
        $dir = mpa_uploads_dir();

        if (file_exists($dir)) {
            return;
        }

        // Create /uploads/motopress-appointment/
        wp_mkdir_p($dir);

        // Create /uploads/motopress-appointment/index.php
        @file_put_contents($dir . 'index.php', '<?php' . PHP_EOL);

        // Create /uploads/motopress-appointment/.htaccess
        $htaccess = "Options -Indexes\n"
            . "deny from all\n"
            . "<FilesMatch '\.(jpg|jpeg|png|gif|mp3|ogg)$'>\n"
            . "Order Allow,Deny\n"
            . "Allow from all\n"
            . "</FilesMatch>\n";

        @file_put_contents($dir . '.htaccess', $htaccess);
    }
}
