<?php

namespace MotoPress\Appointment\Shortcodes\SingleEmployee;

if (!defined('ABSPATH')) {
    exit;
}

/**
 * @since 1.2
 */
class EmployeeImageShortcode extends AbstractSingleEmployeeShortcode
{
    /**
     * @return string
     *
     * @since 1.2
     */
    public function getName()
    {
        return mpa_prefix('employee_image');
    }

    /**
     * @return string
     *
     * @since 1.2
     */
    public function getLabel()
    {
        return esc_html__('Employee Image', 'motopress-appointment');
    }

    /**
     * @return string|string[]
     *
     * @since 1.2
     */
    public function getTemplate()
    {
        return [
            'employee/featured-image.php',
            'post/featured-image.php'
        ];
    }
}
