<?php

namespace MotoPress\Appointment\Utils;

use MotoPress\Appointment\Emails\Tags\AbstractTagsGroup;

if (!defined('ABSPATH')) {
	exit;
}

/**
 * @since 1.4.0
 */
class EmailUtils
{
	/**
	 * @since 1.4.0
	 * @see MotoPress\Appointment\Emails\EmailTags::getTagsDescription()
	 *
	 * @param AbstractTagsGroup $tagsGroup
	 * @param array $args Same to EmailTags::getTagsDescription().
	 * @return bool
	 */
	public static function isSuitableTagsGroupToDisplay($tagsGroup, $args)
	{
		// Skip nested tags
		if ($tagsGroup->isNested() && !$args['nested']) {
			return false;
		}

		// Skip single booking tags
		if (mpapp()->settings()->isMultibookingEnabled()
			&& !$args['single_booking']
			&& in_array($tagsGroup->getName(), ['reservation', 'admin_reservation',
				'customer_reservation', 'service', 'employee', 'location'])
		) {
			return false;
		}

		// Skip empty groups
		if (empty($tagsGroup->getTags())) {
			return false;
		}

		return true;
	}
}
