<?php

if (!defined('ABSPATH')) {
    exit;
}

/**
 * @param \MotoPress\Appointment\Entities\Reservation[] $reservations
 *
 * @since 1.0
 */

?>
<table class="widefat striped mpa-table-centered">
    <thead>
        <tr>
			<th class="row-title column-service" ><?php esc_html_e('Service',  'motopress-appointment'); ?></th>
			<th class="row-title column-employee"><?php esc_html_e('Employee', 'motopress-appointment'); ?></th>
			<th class="row-title column-location"><?php esc_html_e('Location', 'motopress-appointment'); ?></th>
			<th class="row-title column-price"   ><?php esc_html_e('Price',    'motopress-appointment'); ?></th>
			<th class="row-title column-date"    ><?php esc_html_e('Date',     'motopress-appointment'); ?></th>
			<th class="row-title column-time"    ><?php esc_html_e('Time',     'motopress-appointment'); ?></th>
			<th class="row-title column-clients" ><?php esc_html_e('Clients',  'motopress-appointment'); ?></th>
        </tr>
    </thead>
    <tbody>
        <?php if (empty($reservations)) { ?>
            <tr class="no-items">
                <td colspan="7"><?php esc_html_e('No reservations found.', 'motopress-appointment'); ?></td>
            </tr>
        <?php } else { ?>
            <?php foreach ($reservations as $reservation) { ?>
                <tr class="mpa-reservation" data-id="<?php echo esc_attr($reservation->id); ?>">
					<td class="column-service" ><?php echo wp_kses_post( mpa_tmpl_edit_post_link($reservation->serviceId) );  ?></td>
					<td class="column-employee"><?php echo wp_kses_post( mpa_tmpl_edit_post_link($reservation->employeeId) ); ?></td>
					<td class="column-location"><?php echo wp_kses_post( mpa_tmpl_edit_post_link($reservation->locationId) ); ?></td>
					<td class="column-price"   ><?php echo wp_kses_post( mpa_tmpl_price($reservation->price) );          ?></td>
					<td class="column-date"    ><?php echo esc_html( mpa_format_date($reservation->date) );              ?></td>
					<td class="column-time"    ><?php echo esc_html( $reservation->serviceTime );                        ?></td>
					<td class="column-clients" ><?php echo esc_html( $reservation->capacity );                           ?></td>
                </tr>
            <?php } ?>
        <?php } ?>
    </tbody>
</table>
